org.eclipse.emf.facet.util.emf.core

## Interface ICatalogSetManager2

Deprecated.

    @Deprecated
    public interface ICatalogSetManager2

Since:
  0.2
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`Bundle` `getBundleByResource(Resource eResource)` Deprecated. Return the bundle containing the file from which we have created the given resource.
`<T> java.util.List<T>` `getCatalogManagerByType(java.lang.Class<? extends T> catalogManagerClass)` Deprecated. Return the registered catalogs conforming to the parameter class.
`CatalogSet` `getCatalogSet()` Deprecated. This method returns the `CatalogSet` object which contains all the registered catalogs.
`void` `registerModelDeclaration(IFile file)` Deprecated. This method takes a file to register it as a "modelDeclaration" extension in its containing plug-in.

### Method Detail

#### getCatalogSet

    CatalogSet getCatalogSet()

Deprecated.
This method returns the `CatalogSet` object which contains all the registered catalogs.

Returns:
  the set of registered `Catalog`s

#### getBundleByResource

    Bundle getBundleByResource(Resource eResource)

Deprecated.
Return the bundle containing the file from which we have created the given resource.

Parameters:
  `eResource` - the EMF Resource
Returns:
  the `Bundle` matching the given resource, or `null` if the resource is not defined in a Bundle.
Throws:
  `java.lang.IllegalArgumentException` - if the resource is `null`

#### registerModelDeclaration

    void registerModelDeclaration(IFile file)
                           throws InvalidFacetSetException

Deprecated.
This method takes a file to register it as a "modelDeclaration" extension in its containing plug-in.

Parameters:
  `file` - the file to be registered as a "modelDeclaration"
Throws:
  `InvalidFacetSetException`

#### getCatalogManagerByType

    <T> java.util.List<T> getCatalogManagerByType(java.lang.Class<? extends T> catalogManagerClass)

Deprecated.
Return the registered catalogs conforming to the parameter class.

Returns:
  a list of `ICatalogManager`